<?php
session_start();

$nivel_necessario = 6;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
    // Destrói a sessão por segurança
    session_destroy();
    // Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}

require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";

require_once("db.php");


if (!empty($_POST['tablet'])) {
    $tablet_edit = $_POST['tablet'];
}

if (!empty($_POST['tipo'])) {
    $tipo_edit = $_POST['tipo'];
}

if (!empty($_POST['end'])) {
    $end_edit = $_POST['end'];
    $start_edit = $_POST['start'];
}



// Recuperamos a ação enviada pelo formulário

if (!empty($_POST['a']) && $_POST['a'] == 'pesquisar') {

    $nome = trim($_POST['tablet']);
    $start = trim($_POST['start']);
    $end = trim($_POST['end']);
    $tipo = trim($_POST['tipo']);

    $tipo_desc = '';
    if ($tipo == 1) {
        $tipo_desc = 'Entrada';
    } else {
        $tipo_desc = 'Saída';
    }

    // a=pesquisar&tablet=&start=29/09/15&end=27/08/16&tipo=1

    if (!empty($nome)) {
        $tabletConcat = " transacoes.idprod LIKE '%$nome%' AND ";
    } else {
        $tabletConcat = " ";
    }

    $start = fConvData($start);
    $end = fConvData($end);

    if ($_SESSION['UsuarioNivel'] == 1) {

        $result = mysql_query("SELECT idprod, valor, tipo,"
                . " DATE_FORMAT(data_hora,'%d/%m/%Y %H:%i:%S') data_hora "
                . " FROM transacoes "
                . " WHERE $tabletConcat tipo = '$tipo' "
                . " AND data_hora >= '$start 00:00:01' "
                . " AND data_hora <= DATE(DATE_ADD('$end 23:59:59',INTERVAL 1 DAY)) "
                . " ORDER BY transacoes.id DESC") or die(mysql_error());
    } elseif ($_SESSION['UsuarioNivel'] == 2) {
        $result = mysql_query("SELECT tablet.idprod, transacoes.valor, tipo,"
                . " DATE_FORMAT(data_hora,'%d/%m/%Y %H:%i:%S') data_hora "
                . " FROM transacoes,tablet, user "
                . " WHERE $tabletConcat tipo = '$tipo' "
                . " AND transacoes.idprod = tablet.idprod "
                . " AND tablet.cliente = user.username "
                . " AND user.id_apoio = " . $_SESSION['UsuarioID'] . " "
                . " AND data_hora >= '$start 00:00:01' "
                . " AND data_hora <= DATE(DATE_ADD('$end 23:59:59',INTERVAL 1 DAY)) "
                . " ORDER BY transacoes.id DESC") or die(mysql_error());
    } elseif ($_SESSION['UsuarioNivel'] == 3) {
        $apoios = FUNCOES::getApoios($_SESSION['UsuarioID']);
        $result = mysql_query("SELECT tablet.idprod, transacoes.valor, tipo,"
                . " DATE_FORMAT(data_hora,'%d/%m/%Y %H:%i:%S') data_hora "
                . " FROM transacoes, tablet "
                . " WHERE $tabletConcat transacoes.idprod = tablet.idprod "
                . " AND tablet.id_apoio IN (" . implode(",",$apoios) . ")"
                . " AND tipo = '$tipo' "
                . " AND data_hora >= '$start 00:00:01' "
                . " AND data_hora <= DATE(DATE_ADD('$end 23:59:59',INTERVAL 1 DAY)) "
                . " ORDER BY transacoes.id DESC") or die(mysql_error());
    } elseif ($_SESSION['UsuarioNivel'] == 4) {
        $result = mysql_query("SELECT tablet.idprod, transacoes.valor, tipo,DATE_FORMAT(data_hora,'%d/%m/%Y %H:%i:%S') data_hora "
                . " FROM transacoes, tablet "
                . " WHERE $tabletConcat transacoes.idprod = tablet.idprod "
                . " AND tablet.id_apoio = " . $_SESSION['UsuarioID'] . " "
                . " AND tipo = '$tipo' AND data_hora >= '$start 00:00:01' "
                . " AND data_hora <= DATE(DATE_ADD('$end 23:59:59',INTERVAL 1 DAY)) "
                . " ORDER BY transacoes.id DESC") or die(mysql_error());
    } elseif ($_SESSION['UsuarioNivel'] == 6) {
        $result = mysql_query("SELECT tablet.idprod, transacoes.valor, tipo, DATE_FORMAT(data_hora,'%d/%m/%Y %H:%i:%S') data_hora
		FROM transacoes, tablet, user a, ponto b
		WHERE 
		$tabletConcat
		transacoes.idprod = tablet.idprod 
		AND tablet.id_ponto = b.id
		AND b.id = a.id_apoio
		AND a.id = " . $_SESSION['UsuarioID'] . " 
		AND tipo = '$tipo' 
		AND data_hora >= '$start 00:00:01' 
		AND data_hora <= DATE(DATE_ADD('$end 23:59:59', INTERVAL 1 DAY))
		ORDER BY transacoes.id DESC") or die(mysql_error());

        // $result = mysql_query("SELECT tablet.idprod, valor, tipo,DATE_FORMAT(data_hora,'%d/%m/%Y %H:%i:%S') data_hora FROM transacoes, tablet WHERE $tabletConcat transacoes.idprod = tablet.idprod AND tablet.id_apoio = " . $_SESSION['UsuarioID'] . " AND tipo = '$tipo' AND data_hora >= '$start 00:00:01' AND data_hora <= DATE(DATE_ADD('$end 23:59:59',INTERVAL 1 DAY)) ORDER BY transacoes.id DESC") or die(mysql_error());
    } else {
        $result = mysql_query("SELECT tablet.idprod, valor, tipo,DATE_FORMAT(data_hora,'%d/%m/%Y %H:%i:%S') data_hora FROM transacoes, tablet WHERE $tabletConcat transacoes.idprod = tablet.idprod AND tablet.id_apoio = " . $_SESSION['UsuarioID'] . " AND tipo = '$tipo' AND data_hora >= '$start 00:00:01' AND data_hora <= DATE(DATE_ADD('$end 23:59:59',INTERVAL 1 DAY)) ORDER BY transacoes.id DESC") or die(mysql_error());
    }

    $totaldono = 0;
    $totallocacao = 0;
    $totalponto = 0;
    $totalsaldo = 0;

    $numRegistros = mysql_num_rows($result);
    ?>

    <div class="panel-body">

        <?php if ($numRegistros != 0) { ?>

            <div class="table-responsive">
                <table class="table table-condensed">

                    <thead>
                        <tr>
                            <td><strong>Descrição da transação</strong></td>
                            <td class="text-center"><strong>Tipo</strong></td>
                            <td class="text-center"><strong>Data</strong></td>
                            <td class="text-center"><strong>Valor</strong></td>
                        </tr>
                    </thead>
                    <tbody>

                        <?php
                        while ($row = mysql_fetch_array($result)) {

                            $totalsaldo += $row['valor'];
                            ?>
                            <tr>
                                <td>Tablet <?php echo $row['idprod'] ?></td>
                                <td class="text-center"><?php echo $tipo_desc ?></td>
                                <td class="text-center"><?php echo $row['data_hora'] ?></td>
                                <td class="text-center"><?php echo $_SESSION['cifraoMoeda'] . " " . $row['valor'] ?></td>
                            </tr>
                        <?php }
                        ?>

                        <tr>
                            <td class="emptyrow"></td>
                            <td class="emptyrow"></td>
                            <td class="emptyrow"></td>
                            <td class="emptyrow"></td>
                        </tr>

                        <tr>
                            <td class="highrow"></td>
                            <td class="highrow"></td>
                            <td class="highrow"></td>
                            <td class="highrow"></td>
                        </tr>
                        <tr>
                            <td class="emptyrow"><i class="fa fa-barcode iconbig"></i></td>
                            <td class="emptyrow"></td>
                            <td class="emptyrow text-center"><strong><?php echo $tipo_desc ?> Total</strong></td>
                            <td class="emptyrow text-right"><?php echo $_SESSION['cifraoMoeda'] . " " . $totalsaldo ?></td>
                        </tr>
                    </tbody>
                </table>
            </div>


        <?php } else {
            ?>

            <div class='alert alert-warning alert-dismissable'>
                <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
                Nenhuma transação foi encontrada! </div>
        <?php }
        ?>

    </div>
    <!-- /. Fatura -->

    <?php
}
?>